set  hive.exec.dynamic.partition.mode=nonstrict;
set  hive.exec.dynamic.partition=true;
set mapred.max.split.size=536870912;
set mapred.min.split.size.per.node=536870912;
set mapred.min.split.size.per.rack=536870912;
set mapreduce.map.memory.mb=3072;
set mapreduce.map.java.opts=-Xmx2458m;
set mapreduce.reduce.memory.mb=3072;
set mapreduce.reduce.java.opts=-Xmx2458m;


insert into table dwh.etl_alipay_activation_daily partition(dt='${dt_today}', hh='${hour}', business="alipay_activation")
      select device_id,device_type,platform,package_name,country
             from dwh.etl_alipay_activation_daily
      where dt='${dt_today}' and  hh='${hour}' and business="other_data";


